
QGIS Application - Bug report #13446

MYSQL Project File

2015-09-29 12:09 AM - Gerd Dreier

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:2.10.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21493

Description

Every times after save the Projectfile QGIS add in the Layersource the same section "table=xyz" again. 

The Layersource will be longer and longer in the Projectfile. 

"...port=3306,user=XYZ,tables=KK_LHAL,tables=KK_LHAL,tables=KK_LHAL,tables=KK_LHAL,tables=KK_LHAL|layername=KK_LH

L"

Associated revisions

Revision 32c5f551 - 2015-10-01 01:24 PM - Jürgen Fischer

ogr provider: don't add mysql table filter multiple times (fixes #13446)

Revision 27c69959 - 2015-11-26 08:32 PM - Jürgen Fischer

ogr provider: don't add mysql table filter multiple times (fixes #13446)

(cherry picked from commit 32c5f551012a65a8705475266447b270dc2111ff)

History

#1 - 2015-10-01 05:03 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"32c5f551012a65a8705475266447b270dc2111ff".
